<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
		<title>
The light at the end of the tunnel is the headlight of an approaching train.
		</title>

    <link href="https://fonts.googleapis.com/css?family=Lato" rel="stylesheet">
    <link href="style.css" type="text/css" rel="stylesheet">
</head>
<body>
    <header>
		<pre>
If Jesus Christ were to come today, people would not even crucify him.
They would ask him to dinner, and hear what he had to say, and make fun
of it.
		-- Thomas Carlyle
		</pre>
        <nav>
            <ul>
                <li><a href="index.html">Home</a></li>
                <li><a href="about.html">About</a></li>
                <li><a href="tips.html">Tech Tips</a></li>
            </ul>
        </nav>
    </header>
    <main>
        <div class="posts">
			<article>
				<h2>Notes about GitLab pages</h2>
				<ol>
					<li>
						If I don't specify <pre>image: alpine:latest</pre> in the YAML file, GitLab just uses a different docker image, namely <pre>ruby:2.5</pre>
					</li>
					<li>
						It turns out that I don't need this, either: <pre>
pages:
	stage: deploy
					</li>
					<li>
						The best <code>.gitlab-ci.yml</code> file for simplicity and performance:
						<pre>
image: alpine:latest
pages:
  script:
      - "true"
  artifacts:
    paths:
						</pre>
						<p>
							See <a href="https://docs.gitlab.com/ee/user/project/pages/getting_started_part_four.html">this GitLab doc</a>
							for details about the whys and hows of this CI script.
						</p>
					</li>
				</ol>
			</article>

			<article>
				<h2>Blog post 1</h2>

				<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec placerat est id eros aliquam iaculis. Ut eget tortor non ligula lobortis mattis. In gravida arcu vel metus sodales molestie. Curabitur dapibus orci quis tempus molestie. Donec venenatis iaculis efficitur. Maecenas rutrum at leo non venenatis. Mauris bibendum pulvinar felis volutpat semper.</p>

				<p>Ut semper lacus quis commodo ullamcorper. Suspendisse eu condimentum velit, et feugiat nisi. Ut purus sem, maximus eget semper quis, hendrerit eget erat. Nam molestie lacinia lacus ut cursus. Aenean tempus lacinia feugiat. Fusce et feugiat ante. Quisque ipsum massa, volutpat varius mauris in, congue molestie mi. Interdum et malesuada fames ac ante ipsum primis in faucibus.</p>

				<h3>Important section</h3>

				<p>Sed vulputate lacus eget vulputate vulputate. Orci varius natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Integer bibendum ornare iaculis. Etiam tincidunt tellus et rhoncus bibendum. Phasellus congue semper purus. Duis et bibendum tortor. Suspendisse aliquam, ante vitae rhoncus laoreet, nibh leo pulvinar ante, eget finibus ipsum nibh nec justo. Nam in vulputate massa. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Morbi porttitor magna ac sagittis dignissim. Etiam sollicitudin nibh a lobortis varius. Vivamus sit amet ipsum molestie, vestibulum nisl dictum, egestas libero.</p>

				<p>Praesent sit amet aliquet orci. Fusce convallis, neque in consequat condimentum, lectus risus eleifend sem, sit amet pharetra magna nulla et urna. Donec non dolor rhoncus nibh suscipit egestas eu a mauris. Morbi ut gravida eros. Sed sed dui venenatis, pretium tellus vel, ultricies dui. Aenean quis augue mattis, sodales risus et, ornare felis. Ut pulvinar placerat sem, id tempus ipsum finibus sit amet. Ut erat enim, venenatis a ipsum eu, tincidunt dapibus dolor. Fusce posuere eu dui quis malesuada. Suspendisse at felis ornare nunc varius consectetur et id enim. Sed ut gravida justo. Vestibulum eu finibus libero, eu ultrices ipsum. Morbi sit amet interdum lorem, sed ultricies risus.</p>

				<h3>Last Part</h3>

				<p>Nullam pulvinar vulputate odio, in imperdiet nisl aliquet sed. Quisque tristique velit tellus, et efficitur nibh feugiat non. Quisque mi nunc, tempor in consequat eget, dignissim a massa. Vivamus a commodo enim. Morbi auctor ut arcu nec blandit. Nunc eu enim at neque consectetur pellentesque id a massa. Nam tristique aliquam nulla ut porttitor.</p>
			</article>

			<article>
				<h2>Blog post 2</h2>

				<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec placerat est id eros aliquam iaculis. Ut eget tortor non ligula lobortis mattis. In gravida arcu vel metus sodales molestie. Curabitur dapibus orci quis tempus molestie. Donec venenatis iaculis efficitur. Maecenas rutrum at leo non venenatis. Mauris bibendum pulvinar felis volutpat semper.</p>

				<p>Ut semper lacus quis commodo ullamcorper. Suspendisse eu condimentum velit, et feugiat nisi. Ut purus sem, maximus eget semper quis, hendrerit eget erat. Nam molestie lacinia lacus ut cursus. Aenean tempus lacinia feugiat. Fusce et feugiat ante. Quisque ipsum massa, volutpat varius mauris in, congue molestie mi. Interdum et malesuada fames ac ante ipsum primis in faucibus.</p>

				<h3>Important section</h3>

				<p>Sed vulputate lacus eget vulputate vulputate. Orci varius natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Integer bibendum ornare iaculis. Etiam tincidunt tellus et rhoncus bibendum. Phasellus congue semper purus. Duis et bibendum tortor. Suspendisse aliquam, ante vitae rhoncus laoreet, nibh leo pulvinar ante, eget finibus ipsum nibh nec justo. Nam in vulputate massa. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Morbi porttitor magna ac sagittis dignissim. Etiam sollicitudin nibh a lobortis varius. Vivamus sit amet ipsum molestie, vestibulum nisl dictum, egestas libero.</p>

				<p>Praesent sit amet aliquet orci. Fusce convallis, neque in consequat condimentum, lectus risus eleifend sem, sit amet pharetra magna nulla et urna. Donec non dolor rhoncus nibh suscipit egestas eu a mauris. Morbi ut gravida eros. Sed sed dui venenatis, pretium tellus vel, ultricies dui. Aenean quis augue mattis, sodales risus et, ornare felis. Ut pulvinar placerat sem, id tempus ipsum finibus sit amet. Ut erat enim, venenatis a ipsum eu, tincidunt dapibus dolor. Fusce posuere eu dui quis malesuada. Suspendisse at felis ornare nunc varius consectetur et id enim. Sed ut gravida justo. Vestibulum eu finibus libero, eu ultrices ipsum. Morbi sit amet interdum lorem, sed ultricies risus.</p>

				<h3>Last Part</h3>

				<p>Nullam pulvinar vulputate odio, in imperdiet nisl aliquet sed. Quisque tristique velit tellus, et efficitur nibh feugiat non. Quisque mi nunc, tempor in consequat eget, dignissim a massa. Vivamus a commodo enim. Morbi auctor ut arcu nec blandit. Nunc eu enim at neque consectetur pellentesque id a massa. Nam tristique aliquam nulla ut porttitor.</p>
			</article>

			<article>
				<h2>Blog post 3</h2>

				<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec placerat est id eros aliquam iaculis. Ut eget tortor non ligula lobortis mattis. In gravida arcu vel metus sodales molestie. Curabitur dapibus orci quis tempus molestie. Donec venenatis iaculis efficitur. Maecenas rutrum at leo non venenatis. Mauris bibendum pulvinar felis volutpat semper.</p>

				<p>Ut semper lacus quis commodo ullamcorper. Suspendisse eu condimentum velit, et feugiat nisi. Ut purus sem, maximus eget semper quis, hendrerit eget erat. Nam molestie lacinia lacus ut cursus. Aenean tempus lacinia feugiat. Fusce et feugiat ante. Quisque ipsum massa, volutpat varius mauris in, congue molestie mi. Interdum et malesuada fames ac ante ipsum primis in faucibus.</p>

				<h3>Important section</h3>

				<p>Sed vulputate lacus eget vulputate vulputate. Orci varius natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Integer bibendum ornare iaculis. Etiam tincidunt tellus et rhoncus bibendum. Phasellus congue semper purus. Duis et bibendum tortor. Suspendisse aliquam, ante vitae rhoncus laoreet, nibh leo pulvinar ante, eget finibus ipsum nibh nec justo. Nam in vulputate massa. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Morbi porttitor magna ac sagittis dignissim. Etiam sollicitudin nibh a lobortis varius. Vivamus sit amet ipsum molestie, vestibulum nisl dictum, egestas libero.</p>

				<p>Praesent sit amet aliquet orci. Fusce convallis, neque in consequat condimentum, lectus risus eleifend sem, sit amet pharetra magna nulla et urna. Donec non dolor rhoncus nibh suscipit egestas eu a mauris. Morbi ut gravida eros. Sed sed dui venenatis, pretium tellus vel, ultricies dui. Aenean quis augue mattis, sodales risus et, ornare felis. Ut pulvinar placerat sem, id tempus ipsum finibus sit amet. Ut erat enim, venenatis a ipsum eu, tincidunt dapibus dolor. Fusce posuere eu dui quis malesuada. Suspendisse at felis ornare nunc varius consectetur et id enim. Sed ut gravida justo. Vestibulum eu finibus libero, eu ultrices ipsum. Morbi sit amet interdum lorem, sed ultricies risus.</p>

				<h3>Last Part</h3>

				<p>Nullam pulvinar vulputate odio, in imperdiet nisl aliquet sed. Quisque tristique velit tellus, et efficitur nibh feugiat non. Quisque mi nunc, tempor in consequat eget, dignissim a massa. Vivamus a commodo enim. Morbi auctor ut arcu nec blandit. Nunc eu enim at neque consectetur pellentesque id a massa. Nam tristique aliquam nulla ut porttitor.</p>
			</article>
		</div>

		<aside>
			<h2>My Aside</h2>

			<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec placerat est id eros aliquam iaculis. Ut eget tortor non ligula lobortis mattis. In gravida arcu vel metus sodales molestie. Curabitur dapibus orci quis tempus molestie. Donec venenatis iaculis efficitur. Maecenas rutrum at leo non venenatis. Mauris bibendum pulvinar felis volutpat semper.</p>

			<p>Ut semper lacus quis commodo ullamcorper. Suspendisse eu condimentum velit, et feugiat nisi. Ut purus sem, maximus eget semper quis, hendrerit eget erat. Nam molestie lacinia lacus ut cursus. Aenean tempus lacinia feugiat. Fusce et feugiat ante. Quisque ipsum massa, volutpat varius mauris in, congue molestie mi. Interdum et malesuada fames ac ante ipsum primis in faucibus.</p>

			<p>Sed vulputate lacus eget vulputate vulputate. Orci varius natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Integer bibendum ornare iaculis. Etiam tincidunt tellus et rhoncus bibendum. Phasellus congue semper purus. Duis et bibendum tortor. Suspendisse aliquam, ante vitae rhoncus laoreet, nibh leo pulvinar ante, eget finibus ipsum nibh nec justo. Nam in vulputate massa. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Morbi porttitor magna ac sagittis dignissim. Etiam sollicitudin nibh a lobortis varius. Vivamus sit amet ipsum molestie, vestibulum nisl dictum, egestas libero.</p>

			<p>Praesent sit amet aliquet orci. Fusce convallis, neque in consequat condimentum, lectus risus eleifend sem, sit amet pharetra magna nulla et urna. Donec non dolor rhoncus nibh suscipit egestas eu a mauris. Morbi ut gravida eros. Sed sed dui venenatis, pretium tellus vel, ultricies dui. Aenean quis augue mattis, sodales risus et, ornare felis. Ut pulvinar placerat sem, id tempus ipsum finibus sit amet. Ut erat enim, venenatis a ipsum eu, tincidunt dapibus dolor. Fusce posuere eu dui quis malesuada. Suspendisse at felis ornare nunc varius consectetur et id enim. Sed ut gravida justo. Vestibulum eu finibus libero, eu ultrices ipsum. Morbi sit amet interdum lorem, sed ultricies risus.</p>

			<p>Nullam pulvinar vulputate odio, in imperdiet nisl aliquet sed. Quisque tristique velit tellus, et efficitur nibh feugiat non. Quisque mi nunc, tempor in consequat eget, dignissim a massa. Vivamus a commodo enim. Morbi auctor ut arcu nec blandit. Nunc eu enim at neque consectetur pellentesque id a massa. Nam tristique aliquam nulla ut porttitor.</p>
		</aside>
	</main>
	<footer>
		<hr>
			Created by Cameron Milne &#124; &copy; 2017
		</footer>

	</body>
</html>
